#
# spec file for package python-gtksourceview
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-gtksourceview
%define _name pygtksourceview
BuildRequires:  python-devel
BuildRequires:  python-gobject2-devel >= 2.8.0
BuildRequires:  python-gtk-devel >= 2.8.0
BuildRequires:  pkgconfig(gtksourceview-2.0)
%if 0%{?opensuse_bs}
BuildRequires:  pkg-config
%endif
Url:            http://gtksourceview.sourceforge.net/ 
Version:        2.10.1
Release:        22.2
Summary:        Python bindings for the GTK+ source editing widget
License:        LGPL-2.0
Group:          Development/Languages/Python
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{_name}/2.2/%{_name}-%{version}.tar.bz2
Requires:       python-gtk >= 2.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
GtkSourceView is a text widget that extends GtkTextView, the standard
GTK+ text widget.

It improves GtkTextView by implementing syntax highlighting and other
features typical of a source editor.

This package contains Python bindings for the library.

%package devel
Requires:       %{name} = %{version}
Requires:       pkgconfig(gtksourceview-2.0)
Summary:        Python bindings for the GTK+ source editing widget
Group:          Development/Languages/Python

%description devel
GtkSourceView is a text widget that extends GtkTextView, the standard
GTK+ text widget.

It improves GtkTextView by implementing syntax highlighting and other
features typical of a source editor.

This package contains Python bindings for the library.

%prep
%setup -q -n %{_name}-%{version}

%build
%configure \
    --disable-docs
make %{?jobs:-j%jobs}

%install
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -v

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{py_sitedir}/gtksourceview2.so
%{_datadir}/pygtk/2.0/defs/gtksourceview2.defs

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Apr 11 2011 fcrozat@novell.com
- Update Requires/BuildRequires to use
  pkgconfig(gtksourceview-2.0) instead of gtksourceview-devel.
* Sun Feb 13 2011 vuntz@opensuse.org
- Remove 2.x references in summaries and descriptions.
* Sun Jul 18 2010 dimstar@opensuse.org
- Update to version 2.10.1:
  + Fix return value of get_indent_width().
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.10.0:
  + Add API to handle "context classes"
* Tue Feb 23 2010 vuntz@opensuse.org
- Update to version 2.9.2:
  + Adapted to API changes in GtkSourceCompletion
  + Add new gtksourceview API (GtkSourceUndoManager)
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 2.9.1:
  + Add new gtksourceview API (GtkSourceCompletion)
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 2.8.0:
  + new stable release
- Changes from version 2.7.0:
  + Add new 2.8.0 gtksourceview API.
  + Some misc bug fix
  + Fix build with libtool 2.x.
  + Autogenerate Changelog from git logs
* Mon Mar 23 2009 vuntz@novell.com
- Update to version 2.6.0:
  + Just a version bump.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.5.0:
  + Added NBSP to draw spaces
- Remove checks for old versions of openSUSE.
- Remove unneeded call to autoreconf.
- Remove BuildRequires: gcc-c++, gnome-common,
  gnome-doc-utils-devel, gnome-patch-translation, gtk-doc,
  gtk2-devel, intltool.
- Remove AutoReqProv: it's default now.
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.4.0:
  + New stable release
* Fri Sep  5 2008 mboman@novell.com
- Update to version 2.3.0:
  + add an unofficial distutils based buildsystem that alllows to create
    win32 installers.
  + Add new 2.3.0 gtksourceview API.
  + remove gnomevfs dependency, use gio instead.
* Thu Apr 24 2008 maw@suse.de
- Import package from the build service (thanks, Sukimashita!)
- Split out a -devel subpackage.
* Sat Mar 15 2008 opensuse@sukimashita.com
- Update to 2.2
  - API updates
* Sun Oct  7 2007 opensuse@sukimashita.com
- Initial Package
